import { product_base } from "./product_base.js";
import { login_manager } from "./login_manager.js";
import { bool_response } from "./bool_response.js";
import { request } from "./request.js";

export class create_request extends request {
    #image;
    #product;

    constructor(product, image) {
        super();
        
        this.#image = image;
        this.#product = product;
    }

    get _response() {
        return bool_response;
    }

    get data() {
        return Object.assign(this.#product.dump, {
            "image": this.#image,
            "apikey": this._apikey
        });
    }
    
    get method() {
        return "POST";
    }

    get url() {
        return "/product/create";
    }
}
